// CmnDlg_MFCView.h : interface of the CCmnDlg_MFCView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CMNDLG_MFCVIEW_H__31CD01DD_3629_11D3_9E4B_080009EE62AA__INCLUDED_)
#define AFX_CMNDLG_MFCVIEW_H__31CD01DD_3629_11D3_9E4B_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CCmnDlg_MFCView : public CView
{
protected: // create from serialization only
	CCmnDlg_MFCView();
	DECLARE_DYNCREATE(CCmnDlg_MFCView)

// Attributes
public:
	CCmnDlg_MFCDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCmnDlg_MFCView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL DemoBrowseForFolder( HWND hWnd, const char* Title, char* Dest );

	BOOL SelectFont( CFont* CurFont, COLORREF* CurColor );
	CFont m_Font;
	COLORREF m_FontColor;

	CFindReplaceDialog *m_pFindData;
	
	BOOL SelectColor( COLORREF* CurColor );
	
	CPageSetupDialog m_PageSetup;
	CPrintDialog m_Print;
	virtual ~CCmnDlg_MFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCmnDlg_MFCView)
	afx_msg void OnBrowsefolder();
	afx_msg void OnChoosecolor();
	afx_msg void OnChoosefont();
	afx_msg void OnFindtext();
	afx_msg void OnGetopenfilename();
	afx_msg void OnGetsavefile();
	afx_msg void OnPagesetup();
	afx_msg void OnPrintdlg();
	afx_msg void OnReplacetext();
	//}}AFX_MSG
	afx_msg LONG OnFindReplace(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CmnDlg_MFCView.cpp
inline CCmnDlg_MFCDoc* CCmnDlg_MFCView::GetDocument()
   { return (CCmnDlg_MFCDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CMNDLG_MFCVIEW_H__31CD01DD_3629_11D3_9E4B_080009EE62AA__INCLUDED_)
